# ManagedAttribute.Type
Date: 2023-06-05

sailpoint.object

## Enum ManagedAttribute.Type

- java.lang.Object
- - java.lang.Enum<ManagedAttribute.Type>
  - - sailpoint.object.ManagedAttribute.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ManagedAttribute.Type>

Enclosing class:
  ManagedAttribute

    public static enum ManagedAttribute.Type
    extends java.lang.Enum<ManagedAttribute.Type>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`Entitlement`
`Permission`
`TargetPermission`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getLocalizedMessage()`
`java.lang.String` `getMessageKey()`
`static ManagedAttribute.Type` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ManagedAttribute.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Entitlement

    public static final ManagedAttribute.Type Entitlement

#### Permission

    public static final ManagedAttribute.Type Permission

#### TargetPermission

    public static final ManagedAttribute.Type TargetPermission

### Method Detail

#### values

    public static ManagedAttribute.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ManagedAttribute.Type c : ManagedAttribute.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ManagedAttribute.Type valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getMessageKey

    public java.lang.String getMessageKey()

#### getLocalizedMessage

    public java.lang.String getLocalizedMessage()